# List Dispute Evidence

Retrieve a list of Dispute Evidence for a Dispute.

## Endpoint
GET /disputes/{dispute_id}/evidence

## Security
BasicAuth

## Path parameters:

- `dispute_id` (string, required)  
  The ID of Dispute.  
  Example: "DIgDv9764vkkEVu1suZNCDbR"

## Header parameters:

- `Finix-Version` (string)  
  Specify the API version of your request. For more details, see Versioning.  
  Example: "2022-02-01"

## Query parameters:

- `after_cursor` (string)  
  Return every resource created after the cursor value.

- `before_cursor` (string)  
  Return every resource created before the cursor value.

- `created_at.gte` (string)  
  Filter where created_at is after the given date.  
  Example: "2022-09-27T11:21:23"

- `created_at.lte` (string)  
  Filter where created_at is before the given date.  
  Example: "2026-09-27T11:21:23"

- `limit` (integer)  
  The numbers of items to return.  
  Example: 10

- `tags.key` (string)  
  Filter by the tag's key. For more information, see Tags.  
  Example: "card_type"

- `tags.value` (string)  
  Filter by the tag's value. For more information, see Tags.  
  Example: "business_card"

- `updated_at.gte` (string)  
  Filter where updated_at is after the given date.  
  Example: "2022-09-27T11:21:23"

- `updated_at.lte` (string)  
  Filter where updated_at is before the given date.  
  Example: "2026-09-27T11:21:23"

## Response 200 fields (application/json):

- `page` (object)  
  Details the page that's returned.

- `page.limit` (integer)  
  The number of entries to return.

- `page.next_cursor` (string,null)  
  The cursor to use for the next page of results.

- `_embedded` (object)

- `_embedded.evidences` (array)

- `_embedded.evidences.id` (string)  
  The ID of the resource.

- `_embedded.evidences.created_at` (string)  
  Timestamp of when the object was created.

- `_embedded.evidences.updated_at` (string)  
  Timestamp of when the object was last updated.

- `_embedded.evidences.application` (string)  
  ID of the Application the resource was created under.

- `_embedded.evidences.dispute` (string)  
  The ID of the Dispute associated with the evidence.

- `_embedded.evidences.state` (string)  
  The result after uploading evidence.  
  - PENDING: The evidence file has not yet been submitted to the processor. No user action is required.  
  - SUCCEEDED: The evidence file has been successfully sent to the processor. No further user action is required.  
  - CANCELED: The evidence file upload was not completed due to user action.  
  - FAILED: The evidence file could not be processed. Check failure_code for the specific reason and failure_message for a user-safe description of the issue.  
    Enum: "PENDING", "SUCCEEDED", "CANCELED", "FAILED"

- `_embedded.evidences.failure_code` (string,null)  
  The reason the evidence file failed processing. Populated when state is FAILED; null otherwise.  
  - MALWARE_DETECTED: The file was flagged for suspicious content and cannot be accepted.  
  - GENERIC_FAILURE: An unexpected error occurred. Contact support for details.  
  - FILE_SIZE_LIMIT_EXCEEDED: The file exceeds the maximum allowed file size.  
  - TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED: The total size of all uploaded evidence exceeds the maximum combined file size limit.  
  - TOTAL_PAGE_COUNT_LIMIT_EXCEEDED: The total number of pages across all uploaded evidence exceeds the maximum allowed page count.  
    Enum: "MALWARE_DETECTED", "GENERIC_FAILURE", "FILE_SIZE_LIMIT_EXCEEDED", "TOTAL_COMBINED_FILE_SIZE_LIMIT_EXCEEDED", "TOTAL_PAGE_COUNT_LIMIT_EXCEEDED"

- `_embedded.evidences.failure_message` (string,null)  
  A human-readable message explaining why the evidence file failed processing. Populated when state is FAILED; null otherwise. Safe to surface directly in a UI.

- `_embedded.evidences.identity` (string)  
  The ID of the seller's Identity resource. This is the Identity resource that was used to create the seller's Merchant.  
  Example: "IDpYDM7J9n57q849o9E9yNrG"

- `_embedded.evidences.merchant` (string)  
  The ID of the seller's Merchant resource. This is the Merchant account the Dispute was filed against.  
  Example: "MUucec6fHeaWo3VHYoSkUySM"

- `_embedded.evidences.content_type` (string)  
  The MIME type of the uploaded evidence file (e.g. application/pdf, image/jpeg).  
  Example: "application/pdf"

- `_embedded.evidences.extension` (string)  
  The file extension, a suffix at the end of a file_name (letters following last period).  
  Example: "pdf"

- `_embedded.evidences.file_name` (string)  
  The name of the uploaded evidence file.  
  Example: "evidence.pdf"

- `_embedded.evidences.tags` (object,null)  
  Include up to 50 key: value pairs to annotate requests with custom metadata.  
  - Maximum character length for individual keys is 40.  
  - Maximum character length for individual values is 500.  
  (For example, order_number: 25, item_type: produce, department: sales)

- `_embedded.evidences._links` (object)  
  For your convenience, every response includes several URLs which link to resources relevant to the request. You can use these _links to make your follow-up requests and quickly access relevant IDs.

- `_embedded.evidences._links.self` (object)  
  Link to the resource that was used in the request.

- `_embedded.evidences._links.self.href` (string)

- `_links` (object)

- `_links.self` (object)  
  Link to the resource that was used in the request.

- `_links.self.href` (string)

- `_links.next` (object)  
  Link to the next page of entries.

- `_links.next.href` (string)

## Response 401 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 403 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 404 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 406 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.

## Response 422 fields (application/json):

- `total` (integer, required)  
  Total number of errors returned.

- `_embedded` (object, required)  
  Container for embedded error objects.

- `_embedded.errors` (array)  
  List of individual error objects.

- `_embedded.errors.code` (string)  
  The error code. The UNKNOWN error code is returned for a 401 Unauthorized or 403 Forbidden request.

- `_embedded.errors.logref` (string)  
  A log reference identifier for the error, useful for debugging and support purposes.

- `_embedded.errors.message` (string)  
  A human-friendly error message.

- `_embedded.errors._links` (object)  
  Links related to this error.

- `_embedded.errors._links.self` (object)  
  Link to the resource related to the error.

- `_embedded.errors._links.self.href` (string)  
  URL of the related resource.
